---
title: "Get doc group invite"
url: "https://docs.signnow.com/docs/doc-group-field-invite/operations/get-document-group-invite"
type: "endpoint"
section: "doc-group-field-invite"
slug: "doc-group-field-invite/operations/get-document-group-invite"
method: "GET"
path: "/documentgroup/{document_group_id}/groupinvite/{invite_id}"
operation_id: "get-document-group-invite"
authorization: "bearer"
---

# Get doc group invite

`GET /documentgroup/{document_group_id}/groupinvite/{invite_id}`

This endpoint returns document group invite information, including the status of each field invite, step and action.

Here is the list of possible invite, action and step statuses:
- `created`: invite, action, or step has been created but is not waiting to be signed.
- `pending`: emails have been sent out for this invite action or step and are waiting to be viewed or signed.
- `fulfilled`: the invite, action, or step has been completed by signing, viewing or approving.
- `correction`: the step recipient is modifying the invite. 
- `canceled`: the invite or step has been canceled by the recipient.

Possible invite actions are:
- `view`: The recipient can only review the document without making changes.
- `sign`: The recipient can sign or fill out the document.
- `approve`: The recipient can review the document to approve or decline it.



## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |
| `invite_id` | string | Yes | ID of the document group invite. |

## Responses

### 200

Success

**Example** (`Successful response`)

```json
{
  "invite": {
    "id": "b17ae8b135883532823f9f1921b7324ec200026e",
    "steps": [
      {
        "id": "abb9893dd2cc3b606b8f1ee2ea6d9b8527549244",
        "order": 1,
        "status": "pending",
        "actions": [
          {
            "email": "signer1@email.com",
            "action": "sign",
            "status": "pending",
            "role_name": "Signer 1",
            "document_id": "ddcbbfa840180194f166c86d515acb0d14605598",
            "signer_phone_invite": null
          },
          {
            "action": "sign",
            "status": "pending",
            "role_name": "Signer 1",
            "document_id": "ddcbbfa840180194f166c86d515acb0d14605598",
            "email_group": {
              "id": "unique_id_of_the_group",
              "name": "group name"
            },
            "signer_phone_invite": null
          },
          {
            "email": "signer2@email.com",
            "action": "sign",
            "status": "pending",
            "role_name": "Signer 2",
            "document_id": "cd2d630e0aaf69271a2298fb3aec0c3e45310f7a",
            "signer_phone_invite": null
          },
          {
            "email": null,
            "action": "sign",
            "status": "pending",
            "role_name": "Signer 2 (SMS)",
            "document_id": "cd2d630e0aaf69271a2298fb3aec0c3e45310f7a",
            "signer_phone_invite": "+14075985199"
          }
        ]
      },
      {
        "id": "deb30aee006ed499b45ea4c3cb0552e6c356afcb",
        "order": 2,
        "status": "created",
        "actions": [
          {
            "email": "signer3@email.com",
            "action": "sign",
            "status": "created",
            "role_name": "Signer 3",
            "document_id": "ddcbbfa840180194f166c86d515acb0d14605598",
            "signer_phone_invite": null
          },
          {
            "email": "signer4@email.com",
            "action": "sign",
            "status": "created",
            "role_name": "Signer 4",
            "document_id": "ddcbbfa840180194f166c86d515acb0d14605598",
            "signer_phone_invite": null
          }
        ]
      },
      {
        "id": "c138bdf9e3c2849472021a31aeabd95c43bdaf9c",
        "order": 3,
        "status": "created",
        "actions": [
          {
            "email": "signer5@email.com",
            "action": "sign",
            "status": "created",
            "role_name": "Signer 5",
            "document_id": "cd2d630e0aaf69271a2298fb3aec0c3e45310f7a",
            "signer_phone_invite": null
          },
          {
            "email": "signer6@email.com",
            "action": "sign",
            "status": "created",
            "role_name": "Signer 6",
            "document_id": "cd2d630e0aaf69271a2298fb3aec0c3e45310f7a",
            "signer_phone_invite": null
          }
        ]
      }
    ],
    "status": "pending"
  }
}
```

### 400

* Incorrect group invite id in the endpoint.
* Incorrect group id in the endpoint.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group invite of f17cf5c7ce79a7c219e1c865cfc0ce5ddfb897f9"
    }
  ]
}
```

**Example** (`Incorrect group id in the endpoint`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group"
    }
  ]
}
```

**Example** (`Incorrect group invite id in the endpoint`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group invite of f17cf5c7ce79a7c219e1c865cfc0ce5ddfb897f9"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/documentgroup/{document_group_id}/groupinvite/{invite_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/doc-group-field-invite/operations/get-document-group-invite*
